<template>
  <el-dialog
    :title="selectRow.productStr"
    :visible.sync="visibleDialog"
    width="80%"
    @close="close"
  >
    <div>这是存续期事件弹窗</div>
  </el-dialog>
</template>

<script>

export default {
  props: {
    dialogShow: {
      type: Boolean,
      default: false,
    },
    selectRow: {
      type: Object,
      default: () => {},
    },
  },
  data() {
    return {
      visibleDialog: false,
    };
  },
  watch: {
    dialogShow: {
      handler(nv) {
        this.visibleDialog = nv;
      },
    },
  },
  mounted() {

  },
  methods: {
    close() {
      console.log('关闭了');
      this.visibleDialog = false;
      this.$emit('update:dialogShow', false);
    },
    getProcessData() {
      // 获取流程信息
    },
  },
};
</script>

<style lang="scss" scoped></style>
